Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class BusinessCalendarInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.BusinessCalendarInfo

public final class BusinessCalendarInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about a business calendar.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`BusinessCalendarInfo(java.lang.String id, java.lang.String name, java.lang.String timezone, java.lang.String xml)` Create a new `BusinessCalendarInfo` object.
`BusinessCalendarInfo(java.lang.String id, java.lang.String name, java.lang.String timezone, java.lang.String xml, boolean published)` Create a new `BusinessCalendarInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `BusinessCalendarInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `BusinessCalendarInfo` objects for equality.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getId()` Return the business calendar ID.
`java.lang.String` | `getName()` Return the business calendar display name.
`java.lang.String` | `getOwnerName()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`java.lang.String` | `getTimeZone()` Return the timezone in which the business calendar operates.
`int` | `getType()`
`java.lang.String` | `getXML()` Return the business calendar definition.
`boolean` | `isPublished()` Whether this business calendar is published.
`void` | `publish()`
`void` | `setId(java.lang.String id)` Set the business calendar unique ID.
`void` | `setName(java.lang.String name)` Set the business calendar name.
`void` | `setTimeZone(java.lang.String timezone)` Set the business calendar timezone.
`void` | `setXML(java.lang.String xml)` Set the business calendar definition.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessCalendarInfo

    public BusinessCalendarInfo(java.lang.String id,
                                java.lang.String name,
                                java.lang.String timezone,
                                java.lang.String xml)

  Create a new `BusinessCalendarInfo` object.

  Parameters:
    `id` - The business calendar ID.
    `name` - The business calendar name.
    `timezone` - The timezone in which the business calendar operates.
    `xml` - The business calendar definition (in XML format) compliant with the business calendar document type definition.

### BusinessCalendarInfo

    public BusinessCalendarInfo(java.lang.String id,
                                java.lang.String name,
                                java.lang.String timezone,
                                java.lang.String xml,
                                boolean published)

  Create a new `BusinessCalendarInfo` object.

  Parameters:
    `id` - The business calendar ID.
    `name` - The business calendar name.
    `timezone` - The timezone in which the business calendar operates.
    `xml` - The business calendar definition (in XML format) compliant with the business calendar document type definition.
    `published` - `true` if the business calendar is published.
  Since:
    WebLogic Process Integrator 2.0

Method Detail

### getId

    public java.lang.String getId()

  Return the business calendar ID.

  Returns:
    The business calendar ID.
  See Also:
    `setId(java.lang.String)`

### getName

    public java.lang.String getName()

  Return the business calendar display name.

  Returns:
    The business calendar display name.
  See Also:
    `setName(java.lang.String)`

### getTimeZone

    public java.lang.String getTimeZone()

  Return the timezone in which the business calendar operates.

  Returns:
    The timezone in which the business calendar operates.
  See Also:
    `setTimeZone(java.lang.String)`

### getXML

    public java.lang.String getXML()

  Return the business calendar definition.

  Returns:
    The business calendar definition (in XML format) compliant with the business calendar document type definition.
  See Also:
    `setXML(java.lang.String)`

### isPublished

    public boolean isPublished()

  Whether this business calendar is published.
  Specified by:
    isPublished in interface Publishable

  Returns:
    `true` if published.
  Since:
    WebLogic Process Integrator 2.0

### setId

    public void setId(java.lang.String id)

  Set the business calendar unique ID.

  Parameters:
    `id` - The unique ID of the business calendar.
  See Also:
    `getId()`

### setName

    public void setName(java.lang.String name)

  Set the business calendar name.

  Parameters:
    `name` - Human-readable calendar name.
  See Also:
    `getName()`

### setTimeZone

    public void setTimeZone(java.lang.String timezone)

  Set the business calendar timezone.

  Parameters:
    `timezone` - The timezone in which the business calendar operates.
  See Also:
    `getTimeZone()`

### setXML

    public void setXML(java.lang.String xml)

  Set the business calendar definition.

  Parameters:
    `xml` - The business calendar definition (in XML format) compliant with the business calendar document type definition.
  See Also:
    `getXML()`

### equals

    public boolean equals(java.lang.Object obj)

  Test two `BusinessCalendarInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `BusinessCalendarInfo` with the same ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `BusinessCalendarInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `BusinessCalendarInfo`.
  Returns:
    The result of comparing the `name` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `BusinessCalendarInfo`.
  See Also:
    `equals(java.lang.Object)`

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)